%define	name	kwin4-decorator
%define	version	0.5.1
%define	release	%mkrel	1

Name:           %{name}
Version:	%{version}
Release:	%{release}
Group:          System/GUI/KDE
Summary:        Themable and Customizable Window Decoration Engine for KDE 4
Summary(de.UTF-8):       Anpassbarer Fensterdekorator für KDE 4 mit wählbaren Motiven
License:        GPL v2 or later
Url:            http://www.kde-look.org/content/show.php?content=87921
Source0:        dekorator-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  free-kde4-config phonon-xine mandriva-theme-Free mandriva-theme-Free-screensaver kde4-l10n-de curl
BuildRequires:  kdelibs4-devel kdebase4-workspace-devel qimageblitz-devel

%description
Unofficial port of the famous "deKorator" window decoration engine to KDE 4.
You can find themes at http://www.kde-look.org/index.php?xcontentmode=21


Authors:
--------
    Moty Rahamim <moty.rahamim@gmail.com>

%description -l de.UTF-8
Inoffizielle Portierung der berühmten "deKorator" Fensterdekoration zu KDE 4.
Motive findet man bei http://www.kde-look.org/index.php?xcontentmode=21


Autoren:
--------
    Moty Rahamim <moty.rahamim@gmail.com>


%prep
%setup -q -n dekorator-%{version}

%build
%cmake_kde4
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
pushd build
%makeinstall_std
popd

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG.original COPYING README README.original TODO
%{_kde_libdir}/kde4/kwin3_deKorator.so
%{_kde_libdir}/kde4/kwin_deKorator_config.so
%{_kde_appsdir}/kwin/deKorator.desktop
%{_kde_configdir}/deKoratorthemes.knsrc

%changelog
* Sat Aug 07 2010 Jens Ornot <rpm@mandrivauser.de> 0.5.1-1mud2010.1
- initial package for Mandrivalinux 2010.1 x86_64
